## gtk3bindings 0.1.0

=== Makefile ===
SOURCES=$(wildcard *.pas)
TARGET_CPU=$(shell fpc -iTP)
TARGET_OS=$(shell fpc -iTO)
PREFIX=/usr/local
UNITS_DIR=units/${TARGET_CPU}-${TARGET_OS}/gtk3
OPTIONS=\
 -Fi${UNITS_DIR}\
 -Fu${UNITS_DIR}\
 -FU${UNITS_DIR}\
 -FE.\

all:${UNITS_DIR}/gtk3.ppu ${UNITS_DIR}/pangocairo1.ppu

install: all install-binaries install-sources

${UNITS_DIR}/%.ppu:%.pas ${SOURCES}
	mkdir -p ${@D}
	fpc $(OPTIONS) $<

install-binaries:
	install -D -t ${PREFIX}/${UNITS_DIR} ${UNITS_DIR}/*

install-sources:
	install -D -t ${PREFIX}/share/gtk4pas/gtk3 ${SOURCES}

clean:
	${RM} -r units

.PHONY: clean

=== debian/changelog ===
gtk3bindings (0.1.0-3) unstable; urgency=medium

  * Pointed `Vcs-Git` and `Vcs-Browser` to Salsa.

 -- Mazen Neifer <mazen@debian.org>  Mon, 02 Mar 2026 19:33:02 +0100

gtk3bindings (0.1.0-2) unstable; urgency=medium

  * Replaced `pkg-config` with `pkgconf` in Build-Depends.
  * Removed redundant `Uploaders` field from `debian/control`.
  * Fixed syntax errors in `debian/copyright`.

 -- Mazen Neifer <mazen@debian.org>  Mon, 02 Mar 2026 18:07:32 +0100

gtk3bindings (0.1.0-1) unstable; urgency=medium

  * Initial upstream branch.
  * New upstream version 0.1.0

 -- Mazen Neifer <mazen@debian.org>  Wed, 18 Feb 2026 12:20:39 +0100

gtk3bindings (0.0.0-0) unreleased; urgency=medium

  * Packaging gtk3bindings for Debian.

 -- Mazen Neifer <mazen@debian.org>  Wed, 18 Feb 2026 12:08:43 +0100

=== debian/control ===
Source: gtk3bindings
Section: libs
Priority: optional
Maintainer: Mazen Neifer <mazen@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               fpc,
               fp-units-base,
               pkgconf,
               libgtk-3-dev
Standards-Version: 4.7.0
Homepage: https://gitlab.com/gtk4pas/gtk3bindings
Vcs-Git: https://salsa.debian.org/pascal-team/gtk4pas/gtk3bindings.git
Vcs-Browser: https://salsa.debian.org/pascal-team/gtk4pas/gtk3bindings
Rules-Requires-Root: no

Package: fp-units-gtk3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fp-units-base
Description: Free Pascal GTK3 units (LCL-style modified LGPL)
 GTK3 bindings for Free Pascal, intended to be used from FPC and Lazarus
 applications with the same licensing model as LCL units.
 The code is licensed under the FPC modified LGPL (LGPL-2.1 with a static
 linking exception), compatible with Free Pascal’s RTL, FCL and LCL.

=== debian/rules ===
#!/usr/bin/make -f

export FPCVERSION:=$(shell fpc -iV)

%:
	dh $@

override_dh_auto_install:
	# No 'install' target in Makefile, dependencies handled by dh_install via debian/install.
